<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: config.php,v 1.12 2009/12/14 19:51:32 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport('joomla.application.component.model');

class LinkDirectory2ModelConfig extends JModel{ 
	
	public function getFileName(){
		return JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php';
	}
	
	public function getWriteable() {
		return $this->isWriteable();
	}
	public function isWriteable() {
		if (@file_exists($this->getFileName()) &&  @is_writable($this->getFileName()) ){
			return true;
		} else {
			return false;
		}
	}
	
	private function initConfig(){
		return '';
	}

	private function addHeaderToConfig(&$config){
		$config .= '<?php defined( \'_JEXEC\' ) or die( \'Restricted access\' );
/**
 * @version 2.0 $Id: config.php,v 1.12 2009/12/14 19:51:32 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */		

class LDConfig {
';	
	}

	function addFooterToConfig(&$config){
		$config .= '}
?>';
	}
	
	function saveStringToConfig(&$config, $varName, $default=''){
		$newValue = JRequest::getString($varName, $default);
		$config .= "  public \$$varName = \"$newValue\";\n";
	}
	function saveHtmlStringToConfig(&$config, $varName, $default=''){
		$newValue = $_POST [$varName];
		$config .= "  public \$$varName = \"$newValue\";\n";
	}
	function saveIntToConfig(&$config, $varName, $default=0){
		$newValue = JRequest::getInt($varName, $default);
		$config .= "  public \$$varName = \"$newValue\";\n";
	}
	

	function save() {
		$configFile = $this->getFileName();
		@chmod ($configFile, 0766);
		$permission = is_writable($configFile);
		if (!$permission) {
			mosRedirect('index2.php?option=com_linkdirectory2', _LD_SETTINGNOTSAVE);
		}
		
		$config=$this->initConfig();
		$this->addHeaderToConfig($config);
		
		$this->saveIntToConfig($config, 'autopbcomment', 0 );
		$this->saveIntToConfig($config, 'gaddcom', 0 );
		$this->saveIntToConfig($config, 'gaddrate', 0 );
		$this->saveIntToConfig($config, 'rateonce', 1 );
		$this->saveStringToConfig($config,'commentSystem','intern');
		$this->saveIntToConfig($config, 'writeonce', 1 );
		$this->saveIntToConfig($config, 'minrate', 5 );	
		$this->saveIntToConfig($config, 'reportemail', 0 );
		$this->saveStringToConfig($config, 'semail' ,'' );
		$this->saveIntToConfig($config,'column', 3);
		$this->saveStringToConfig($config,'categoryDelimiter', '[');
		$this->saveStringToConfig($config,  'integration', 'jm');
		$this->saveHtmlStringToConfig($config,'rootPathWay','');	
		$this->saveIntToConfig($config,'catimage', 1);
		$this->saveIntToConfig($config,'catdesc', 1);
		$this->saveIntToConfig($config,'ldshowcatonlist', 0);
		$this->saveIntToConfig($config,'tlink', 1);
		$this->saveIntToConfig($config,'tslink', 0);
		$this->saveIntToConfig($config, 'sublimit', 3);
		$this->saveStringToConfig($config,  'template', 'default');
		$this->saveIntToConfig($config,'versioncheck', 1);
		$this->saveIntToConfig($config, 'copyrigthinfo', 1);
		//TODO $config .= "\$ld->version = \"". VersionManager::getLocalVersion()."\";\n";
		$this->saveIntToConfig($config, 'dpage', 1);
		$this->saveIntToConfig($config, 'javascriptchecks', 1);
		$this->saveIntToConfig($config, 'limitlink', 10 );
		$this->saveIntToConfig($config, 'limitcomment', 10 );
		$this->saveIntToConfig($config, 'sengine', 0);
		$this->saveIntToConfig($config, 'allowadd', 10);
		$this->saveIntToConfig($config, 'ldlinkautopublish',0);
		$this->saveIntToConfig($config, 'allowedit', 10);
		$this->saveStringToConfig($config, 'linkorder', 'id ASC');
		$this->saveStringToConfig($config, 'catorder', 'name ASC');
		$this->saveIntToConfig($config, 'suggestCategory', 1);
		$this->saveIntToConfig($config,'ldlcatautopublish',0);
		$this->saveIntToConfig($config, 'linkDisplayMode', 0);
		$this->saveIntToConfig($config, 'ldlongdetail', 0);
		$this->saveIntToConfig($config, 'ldlonglist', 0);
		$this->saveIntToConfig($config, 'ldshowdetailpage', 1);
		$this->saveIntToConfig($config, 'ldshowlinkadd', 1);	
		$this->saveIntToConfig($config, 'ratelink', 1);
		$this->saveIntToConfig($config, 'showfastlink', 0);
		$this->saveIntToConfig($config, 'showhits', 1);
		$this->saveIntToConfig($config, 'commentlink', 1);
		$this->saveIntToConfig($config, 'badlink', 0);
		$this->saveStringToConfig($config, 'ldeditor', '');
		$this->saveStringToConfig($config, 'securityimage', 'none');
		$this->saveIntToConfig($config,'searchtitle', 0 );
		$this->saveIntToConfig($config,'searchurl', 0 );
		$this->saveIntToConfig($config,'searchdesc', 0 );
		$this->saveIntToConfig($config,'searchlongdesc', 0 );
		$this->saveIntToConfig($config,'searchcattitle', 0 );
		$this->saveIntToConfig($config,'searchcatdesc', 0 );
		$this->saveIntToConfig($config,'searchonlyinsubcats', 0);
		$this->saveStringToConfig($config,'linkthumbtype','none');
		$this->saveHtmlStringToConfig($config,'linkthumbuserhtml','');
		$this->saveHtmlStringToConfig($config,'linkthumbuserbacklinkhtml','');
		$this->saveStringToConfig($config, 'linkthumbpara1','');
		$this->saveStringToConfig($config, 'linkthumbpara2','');
		$this->saveIntToConfig($config,'realnamecomment', 0);
		$this->saveStringToConfig($config,'thumbfolderlist' ,'');
		$this->saveIntToConfig($config,'linkthumbaltimage',0);	
		$this->saveIntToConfig($config,'linkthumbaltservice',0);
		$this->saveStringToConfig($config,'linkthumblocalcssclass','');
		
		$this->addFooterToConfig($config);
		$cache =& JFactory::getCache($group);
		$cache->clean('com_linkdirectory2');

		if ($fp = fopen("$configFile", "w")) {
			fputs($fp, $config, strlen($config));
			fclose ($fp);
		} else {
			return false;
		}
		return true;
	
	}

}
?>