<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.7 2009/11/19 20:56:19 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWebcategories extends JView {
		
	private function displayToolBar() {
		JHTML::_('behavior.tooltip');
		JToolBarHelper::title(   JText::_( 'Webcategory Manager' ), 'generic.png' );
		JToolBarHelper::publish('publishWebCategory');
		JToolBarHelper::unpublish('unpublishWebCategory');
		JToolBarHelper::deleteList(null,'removeWebCategory');
		JToolBarHelper::editListX('editWebCategory');
		JToolBarHelper::addNewX('addWebCategory');
		if ($this->get('treeModel')) {
			JToolBarHelper::custom('switchToCategoryList','default','default','As List',false);
		} else {
			JToolBarHelper::custom('switchToCategoryTree','default','default','As Tree',false);
		}
	}
	
	
	public function display($tpl = null) {
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.classes.DS.'CategoryHtmlHelper.php';
		$this->displayToolBar();
		
		$app = &JFactory::getApplication();
		$option = JRequest::getCmd('option');
		
		$filter_order		= $app->getUserStateFromRequest( $option.'filter_order',		'filter_order',		'c.ordering',	'cmd' );
		$filter_order_Dir	= $app->getUserStateFromRequest( $option.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		
		$categories	= $this->get('Data');
		$pagination = $this->get('Pagination');
		$viewAsTree = $this->get('treeModel');
		
		if ($viewAsTree) {
			$javascript 	= ' onchange="document.adminForm.submit();" ';
			$filter_catid = $app->getUserStateFromRequest( $option.'filter_catid',		'filter_catid',		0,				'int' );
			$this->assignRef('catid', CategoryHtmlHelper::getCategoryListAsHtml( 'filter_catid', intval( $filter_catid), $javascript ));
			$ordering = true;
		} else {
			$filter_state = $app->getUserStateFromRequest( $option.'filter_state','filter_state','','word');
			$search	= $app->getUserStateFromRequest( $option.'search','search','','string');
			$this->assignRef('state', JHTML::_('grid.state',  $filter_state ));
			$this->assignRef('search',$search);
			$ordering = false;
		}
		$this->assignRef('categories',$categories);
		$this->assign('viewAsTree',$viewAsTree);
		
		// TODO dynmaisch belegen?
		
		$this->assign('ordering',$ordering);
		$this->assignRef('pagination',$pagination);
		$this->assignRef('order_Dir', $filter_order_Dir);
		$this->assignRef('order', $filter_order);
		parent::display($tpl);
	}
}

?>