<?php  defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: form.php,v 1.4 2009/11/22 21:02:44 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

JHTML::_('behavior.tooltip'); 

$text = $this->isNew ? JText::_('New') : JText::_('Edit');
JToolBarHelper::title(JText::_('Webcomment').': <small><small>[ ' . $text.' ]</small></small>' );
JToolBarHelper::save('saveWebComment');
if (!$edit)  {
	JToolBarHelper::cancel('cancelWebComment');
} else {
	JToolBarHelper::cancel('cancelWebComment', 'Close');
}
?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancelWebComment') {
			submitform( pressbutton );
			return;
		}
		if (form.rev_title.value == ""){
			alert( "<?php echo JText::_( 'WEBCOMMENT ITEM MUST HAVE A TITLE', true ); ?>" );
		}
		else if (form.rev_text.value == ""){
			alert( "<?php echo JText::_( 'WEBCOMMENT ITEM MUST HAVE A TEXT', true ); ?>" );
		}  
		else {
			submitform( pressbutton );
		}
	}
</script>
<style type="text/css">
	table.paramlist td.paramlist_key {
		width: 92px;
		text-align: left;
		height: 30px;
	}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_('LD COMMENT DETAILS'); ?></legend>

		<table class="admintable">
		<!-- Link Titke -->
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_( 'LD COMMENT LINK NAME' ); ?>:
				</label>
			</td>
			<td><?php echo $this->isNew ? $this->lists['allWeblinks']: $this->webcomment->link_title; ?></td>
		</tr>
		
		<!-- Kommentar: User -->
		<tr>
			<td width="100" align="right" class="key">
				<label for="title">
					<?php echo JText::_('LD COMMENT USER_NAME'); ?>:
				</label>
			</td>
			<td><?php echo ($this->webcomment->user_id > 0 ) ?  $this->webcomment->username .' <input type="hidden" name="user_id" value="' . $this->webcomment->user_id .'" />'  : '<input type="text" name="guest_name" value="'.$this->webcomment->guest_name.'" />';?></td>
		</tr>
	
		<!-- Kommentar: Type -->
		<tr>
			<td valign="top" align="right" class="key">
				<label for="rev_title">
					<?php echo JText::_('LD COMMENT TYPE'); ?>:
				</label>
			</td>
			<td><?php echo $this->lists['type']; ?></td>
		</tr>
	
		<!-- Kommentar: Title -->
		<tr>
			<td valign="top" align="right" class="key">
				<label for="rev_title">
					<?php echo JText::_('LD COMMENT TITLE'); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="rev_title" id="rev_title" value="<?php echo $this->webcomment->rev_title; ?>" size="32" maxlength="255" />
			</td>
		</tr>
		<!-- Kommentar: Text -->
		<tr>
			<td valign="top" align="right" class="key">
				<label for="rev_text">
					<?php echo JText::_('LD COMMENT TEXT'); ?>
				</label>
			</td>
			<td>
				<textarea class="text_area" cols="44" rows="9" name="rev_text" id="rev_text"><?php echo $this->webcomment->rev_text; ?></textarea>
			</td>
		</tr>
		
		<!-- Kommentar: Datum -->
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_('Date'); ?>:
			</td>
			<td>
				<?php echo $this->webcomment->rev_date; ?>
			</td>
		</tr>
		
		<!-- Kommentar: Freigeben -->
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_('LD COMMENT APPROVED'); ?>:
			</td>
			<td>
				<?php echo $this->lists['approved']; ?>
			</td>
		</tr>
		
		</table>
	</fieldset>
</div>		

<div class="clr"></div>

	<input type="hidden" name="option" value="com_linkdirectory2" />
	<input type="hidden" name="cid[]" value="<?php echo $this->webcomment->rev_id; ?>" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>