<?php defined('_JEXEC') or die( 'Restricted access' );
/**
 * @version 2.0 $Id: view.html.php,v 1.4 2009/11/21 22:47:22 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWebcomment extends JView {
	
	public function display($tpl = null) {
		global $mainframe;

		if($this->getLayout() == 'form') {
			$this->_displayForm($tpl);
			return;
		}
		$weblink =& $this->get('data');
		parent::display($tpl);
	}

	private function _displayForm($tpl) {
		global $mainframe, $option;
		
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'LDConfig.php';
		$ld = new LDConfig();
		$model	=& $this->getModel();
		$webcomment	=& $this->get('data');
		$isNew		= ($webcomment->rev_id < 1);
		if ($isNew) {
			$webcomment->published = 1;
			$webcomment->approved 	= 0;
			$webcomment->catid 	= JRequest::getVar( 'catid', 0, 'post', 'int' );
		 	$user 	=& JFactory::getUser();
			$webcomment->user_id= $user->id;
			$webcomment->username = $user->name;
		}
		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.classes.DS.'CommentHtmlUtils.php';
		$lists = array();
		$lists['type'] = CommentHtmlUtils::getListForType($webcomment->type);
		$lists['approved'] 		= JHTML::_('select.booleanlist',  'rev_approved', 'class="inputbox"', $webcomment->rev_approved );
		if ($isNew) {
			$allLinks = $this->get('AllLinks');
			$lists['allWeblinks'] =  JHTML::_('select.genericlist',$allLinks,'link_id','class="inputbox"', 'value', 'text');
		}
		$this->assignRef('lists',$lists);
		$this->assignRef('webcomment',$webcomment);
		$this->assign('isNew',$isNew);
		parent::display($tpl);
	}
}
